| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
wtap_pseudo_header Union Reference

Top-level union of all Wiretap pseudo-headers. More...

`#include <wtap.h>`

## Public Attributes
struct eth_phdr | eth
struct dte_dce_phdr | dte_dce
struct isdn_phdr | isdn
struct atm_phdr | atm
struct ascend_phdr | ascend
struct p2p_phdr | p2p
struct ieee_802_11_phdr | ieee_802_11
struct cosine_phdr | cosine
struct irda_phdr | irda
struct nettl_phdr | nettl
struct mtp2_phdr | mtp2
struct k12_phdr | k12
struct lapd_phdr | lapd
struct catapult_dct2000_phdr | dct2000
struct erf_mc_phdr | erf
struct sita_phdr | sita
struct bthci_phdr | bthci
struct btmon_phdr | btmon
struct l1event_phdr | l1event
struct i2c_phdr | i2c
struct gsm_um_phdr | gsm_um
struct nstr_phdr | nstr
struct nokia_phdr | nokia
struct llcp_phdr | llcp
struct logcat_phdr | logcat
struct netmon_phdr | netmon
struct procmon_phdr | procmon
struct ber_phdr | ber
struct mmodule_phdr | mmodule

## Detailed Description

Top-level union of all Wiretap pseudo-headers.

Exactly one member is valid per record, selected by the encapsulation type (`wtap_packet_header.pkt_encap`) or record type.

## Member Data Documentation

## ◆ ascend

struct ascend_phdr wtap_pseudo_header::ascend

Lucent/Ascend WAN pseudo-header.

## ◆ atm

struct atm_phdr wtap_pseudo_header::atm

ATM pseudo-header.

## ◆ ber

struct ber_phdr wtap_pseudo_header::ber

BER file pseudo-header.

## ◆ bthci

struct bthci_phdr wtap_pseudo_header::bthci

Bluetooth HCI pseudo-header.

## ◆ btmon

struct btmon_phdr wtap_pseudo_header::btmon

Bluetooth Linux Monitor pseudo-header.

## ◆ cosine

struct cosine_phdr wtap_pseudo_header::cosine

CoSine IPNOS pseudo-header.

## ◆ dct2000

struct catapult_dct2000_phdr wtap_pseudo_header::dct2000

Catapult DCT2000 pseudo-header.

## ◆ dte_dce

struct dte_dce_phdr wtap_pseudo_header::dte_dce

DTE/DCE serial pseudo-header.

## ◆ erf

struct erf_mc_phdr wtap_pseudo_header::erf

Endace ERF (multi-channel) pseudo-header.

## ◆ eth

struct eth_phdr wtap_pseudo_header::eth

Ethernet pseudo-header.

## ◆ gsm_um

struct gsm_um_phdr wtap_pseudo_header::gsm_um

GSM Um (air interface) pseudo-header.

## ◆ i2c

struct i2c_phdr wtap_pseudo_header::i2c

I2C pseudo-header.

## ◆ ieee_802_11

struct ieee_802_11_phdr wtap_pseudo_header::ieee_802_11

IEEE 802.11 wireless pseudo-header.

## ◆ irda

struct irda_phdr wtap_pseudo_header::irda

IrDA pseudo-header.

## ◆ isdn

struct isdn_phdr wtap_pseudo_header::isdn

ISDN pseudo-header.

## ◆ k12

struct k12_phdr wtap_pseudo_header::k12

Tektronix K12 pseudo-header.

## ◆ l1event

struct l1event_phdr wtap_pseudo_header::l1event

Layer 1 event pseudo-header.

## ◆ lapd

struct lapd_phdr wtap_pseudo_header::lapd

LAPD pseudo-header.

## ◆ llcp

struct llcp_phdr wtap_pseudo_header::llcp

NFC LLCP pseudo-header.

## ◆ logcat

struct logcat_phdr wtap_pseudo_header::logcat

Android logcat pseudo-header.

## ◆ mmodule

struct mmodule_phdr wtap_pseudo_header::mmodule

M-Module pseudo-header.

## ◆ mtp2

struct mtp2_phdr wtap_pseudo_header::mtp2

MTP2 pseudo-header.

## ◆ netmon

struct netmon_phdr wtap_pseudo_header::netmon

Microsoft NetMon pseudo-header.

## ◆ nettl

struct nettl_phdr wtap_pseudo_header::nettl

HP-UX nettl pseudo-header.

## ◆ nokia

struct nokia_phdr wtap_pseudo_header::nokia

Nokia pseudo-header.

## ◆ nstr

struct nstr_phdr wtap_pseudo_header::nstr

NetScaler nstrace pseudo-header.

## ◆ p2p

struct p2p_phdr wtap_pseudo_header::p2p

Point-to-point pseudo-header.

## ◆ procmon

struct procmon_phdr wtap_pseudo_header::procmon

Microsoft ProcMon pseudo-header.

## ◆ sita

struct sita_phdr wtap_pseudo_header::sita

SITA WAN pseudo-header.

The documentation for this union was generated from the following file:

- /builds/wireshark/wireshark/wiretap/wtap.h